petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESVINEWTONSSLS

Semi-smooth solver for variational inequalities based on Newton's method

### Options Database

| -snes_type <vinewtonssls,vinewtonrsls> a semi | - smooth solver, a reduced space active set method
| -snes_vi_monitor | - prints the number of active constraints at each iteration.

### References

| 1. | - T. S. Munson, F. Facchinei, M. C. Ferris, A. Fischer, and C. Kanzow. The semismooth algorithm for large scale complementarity problems. INFORMS Journal on Computing, 13 (2001).
| 2. | - T. S. Munson, and S. Benson. Flexible Complementarity Solvers for Large Scale Applications, Optimization Methods and Software, 21 (2006).

### See Also

SNESVISetVariableBounds(), SNESVISetComputeVariableBounds(), SNESCreate(), SNES, SNESSetType(), SNESVINEWTONRSLS, SNESNEWTONTR, SNESLineSearchSetType(),SNESLineSearchSetPostCheck(), SNESLineSearchSetPreCheck()

### Level

beginner

### Location

src/snes/impls/vi/ss/viss.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages